﻿using System;
using System.Drawing;
using System.IO;

//Buddy-stuff
using Styx.Helpers;
using Styx.WoWInternals;

namespace BuddyProwl
{
    static class Log
    {
        public static void toHonorbuddy(string color, string text)
        {
            Logging.Write(Color.FromName(color), "[" + Database.Plugin_Name + "] - " + text);
        }

        public static void toFile(string Text)
        {
            string charName = ObjectManager.Me.Name;

            if (!Directory.Exists(@"Logs/" + charName))
                Directory.CreateDirectory(@"Logs/" + charName);

            using (StreamWriter w = File.AppendText(Logging.ApplicationPath + "/Logs/" + charName + "/" + Database.Plugin_Name + ".txt"))
            {
                w.WriteLine(DateTime.Now.ToString() + ": " + Text);
                w.Close();
            }
        }
    }
}
