﻿using System.IO;
using Styx.Helpers;

namespace BuddyProwl
{
    public class Config : Settings
    {
        public Config() : base(Path.Combine(Logging.ApplicationPath, string.Format(@"Settings/" + Database.Plugin_Name + ".xml")))
        {
        }

        #region Notifo Settings
        [Setting]
        public bool UseNotifo { get; set; }

        [Setting]
        public string Username { get; set; }

        [Setting]
        public string APIKey { get; set; }
        #endregion

        #region What to push
        [Setting]
        public bool Say { get; set; }

        [Setting]
        public bool Yell { get; set; }

        [Setting]
        public bool Guild { get; set; }

        [Setting]
        public bool Party { get; set; }

        [Setting]
        public bool Battleground { get; set; }

        [Setting]
        public bool Whisper { get; set; }

        [Setting]
        public bool Emote { get; set; }

        [Setting]
        public bool Achievement { get; set; }

        [Setting]
        public bool LevelUp { get; set; }

        [Setting]
        public bool Death { get; set; }

        [Setting]
        public bool Loot { get; set; }
        #endregion
    }
}